Package org.jboss.resteasy.client.jaxrs.internal

## Class LocalResteasyProviderFactory

- java.lang.Object
- - javax.ws.rs.ext.RuntimeDelegate
  - - org.jboss.resteasy.spi.ResteasyProviderFactory
    - - org.jboss.resteasy.core.providerfactory.ResteasyProviderFactoryImpl
      - - org.jboss.resteasy.client.jaxrs.internal.LocalResteasyProviderFactory

- All Implemented Interfaces:
    `javax.ws.rs.core.Configurable<ResteasyProviderFactory>`, `javax.ws.rs.core.Configuration`, `javax.ws.rs.ext.Providers`, `HeaderValueProcessor`

      public class LocalResteasyProviderFactory
      extends ResteasyProviderFactoryImpl

  A version of ResteasyProviderFactory which does not reference its parent after it is created. Used for client framework Configurables.
  Author:
    Ron Sigal

    Date April 27, 2016

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.ws.rs.ext.RuntimeDelegate

      `javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<T extends Object>`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.core.providerfactory.ResteasyProviderFactoryImpl

      `alreadyEstablishedNullHeaderDelegate, asyncContextInjectors, attachedContextResolvers, attachedParamConverterProviders, builtinsRegistered, classContracts, clientHelper, contextInjectors, contextResolvers, enabledFeatures, headerDelegates, initialized, injectorFactory, lockSnapshots, properties, providerClasses, providerInstances, registerBuiltins, resourceBuilder, serverHelper, sortedParamConverterProviders, statisticsController, stringParameterUnmarshallers`

    - ### Fields inherited from class javax.ws.rs.ext.RuntimeDelegate

      `JAXRS_RUNTIME_DELEGATE_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LocalResteasyProviderFactory()` |
    `LocalResteasyProviderFactory​(ResteasyProviderFactory factory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.ws.rs.RuntimeType` | `getRuntimeType()` |

    - ### Methods inherited from class org.jboss.resteasy.core.providerfactory.ResteasyProviderFactoryImpl

      `addContextInjector, addContextResolver, addFeature, addHeaderDelegate, addHeaderDelegate, addHeaderDelegate, addHeaderDelegateIfAbsent, addInjectorFactory, addParameterConverterProvider, addResourceClassProcessor, addStringParameterUnmarshaller, createEndpoint, createHeaderDelegate, createLinkBuilder, createProviderInstance, createResponseBuilder, createStringParameterUnmarshaller, createUriBuilder, createVariantListBuilder, getAsyncClientResponseProvider, getAsyncClientResponseProviders, getAsyncContextInjectors, getAsyncResponseProvider, getAsyncResponseProviders, getAsyncStreamProvider, getAsyncStreamProviders, getClassContracts, getClasses, getClientDynamicFeatures, getClientHelper, getClientMessageBodyReader, getClientMessageBodyReaders, getClientMessageBodyWriter, getClientMessageBodyWriters, getClientReaderInterceptorRegistry, getClientRequestFilterRegistry, getClientResponseFilters, getClientWriterInterceptorRegistry, getConcreteMediaTypeFromMessageBodyWriters, getConfiguration, getContainerRequestFilterRegistry, getContainerResponseFilterRegistry, getContextData, getContextData, getContextInjectors, getContextResolver, getContextResolvers, getContextResolvers, getContracts, getEnabledFeatures, getExceptionMapper, getExceptionMapperForClass, getHeaderDelegate, getHeaderDelegates, getInjectorFactory, getInstances, getMessageBodyReader, getMessageBodyWriter, getMutableProperties, getMutableProviderClasses, getParamConverter, getPossibleMessageBodyWritersMap, getProperties, getProperty, getPropertyNames, getProviderClasses, getProviderInstances, getResourceBuilder, getRxInvokerProvider, getRxInvokerProviderFromReactiveClass, getServerDynamicFeatures, getServerHelper, getServerMessageBodyReader, getServerMessageBodyReader, getServerMessageBodyReaders, getServerMessageBodyWriter, getServerMessageBodyWriter, getServerMessageBodyWriters, getServerReaderInterceptorRegistry, getServerWriterInterceptorRegistry, getSortedParamConverterProviders, getStatisticsController, getStringParameterUnmarshallers, initialize, initializeClientProviders, initializeCommon, injectedInstance, injectedInstance, injectProperties, injectProperties, isBuiltinsRegistered, isEnabled, isEnabled, isOnServer, isReactive, isRegisterBuiltins, isRegistered, isRegistered, lockSnapshots, property, register, register, register, register, register, register, register, register, registerBuiltin, registerProvider, registerProvider, registerProvider, registerProviderInstance, registerProviderInstance, setBuiltinsRegistered, setInjectorFactory, setProperties, setRegisterBuiltins, toHeaderString, toString`

    - ### Methods inherited from class org.jboss.resteasy.spi.ResteasyProviderFactory

      `clearInstanceIfEqual, getInstance, isA, isA, newInstance, peekInstance, setInstance, setRegisterBuiltinByDefault`

    - ### Methods inherited from class javax.ws.rs.ext.RuntimeDelegate

      `setInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalResteasyProviderFactory

          public LocalResteasyProviderFactory()

    - #### LocalResteasyProviderFactory

          public LocalResteasyProviderFactory​(ResteasyProviderFactory factory)

  - ### Method Detail

    - #### getRuntimeType

          public javax.ws.rs.RuntimeType getRuntimeType()

      Specified by:
        `getRuntimeType` in interface `javax.ws.rs.core.Configuration`
      Overrides:
        `getRuntimeType` in class `ResteasyProviderFactoryImpl`